Index: extensions/PHP_Optimisateur/language/it_IT/common.lang.php
===================================================================
--- extensions/PHP_Optimisateur/language/it_IT/common.lang.php	(revision 10337)
+++ extensions/PHP_Optimisateur/language/it_IT/common.lang.php	(revision 10472)
@@ -1,69 +1,69 @@
 <?php
-$Lang['fatal.ErrorConfigFile'] = "Errore fatale : File di configurazione mancante.";
-$Lang['fatal.ErrorFolderIn'] = "Errore fatale : La cartella input è vuota.";
-$Lang['fatal.ErrorFolderOut'] = "Errore fatale : La cartella output non è vuota.";
-$Lang['fatal.ErrorNconvert'] = "Errore fatale : Il Programma <i>nconvert.exe</i> non si trova.";
-$Lang['fatal.ErrorConfig'] = "Errore fatale : Configurazione incorretta.";
-$Lang['notice.EraseFolderOut'] = "Attenzione : La cartella output sarà completamente svuotata.";
-$Lang['notice.ErrorConfig'] = "Alcuni errori di configurazione sono stati risolti, si prega di controllare i vostri parametri.";
-$Lang['notice.must_be_integer %s'] = "%s must be an integer.";
-$Lang['notice.must_be_integer_100 %s'] = "%s must be a decimal below 100.";
-$Lang['notice.must_be_decimal %s'] = "%s must be a decimal.";
+$Lang['fatal.ErrorConfigFile'] = 'Errore fatale : File di configurazione mancante';
+$Lang['fatal.ErrorFolderIn'] = 'Errore fatale : L\'album input è vuoto';
+$Lang['fatal.ErrorFolderOut'] = 'Errore fatale : L\'album output non è vuoto';
+$Lang['fatal.ErrorNconvert'] = 'Errore fatale : Il Programma <i>nconvert.exe</i> inesistente';
+$Lang['fatal.ErrorConfig'] = 'Errore fatale : Configurazione incorretta';
+$Lang['notice.EraseFolderOut'] = 'Attenzione : L\'album output sarà completamente svuotato';
+$Lang['notice.ErrorConfig'] = 'Alcuni errori di configurazione sono stati risolti, si prega di controllare i vostri parametri';
+$Lang['notice.must_be_integer %s'] = '%s deve essere un\'intero';
+$Lang['notice.must_be_integer_100 %s'] = '%s deve essere un decimale inferiore a 100';
+$Lang['notice.must_be_decimal %s'] = '%s deve essere un decimale';
 
-$Lang['Source files'] = "File gestiti";
-$Lang['%d files'] = "%d file";
-$Lang['Finish %d seconds'] = "Elaborazione terminata : %d secondi.";
-$Lang['Ready'] = "Pronto per l'avvio.";
-$Lang['Processing'] = "Elaborazione.";
-$Lang['Launch'] = "Avvio";
-$Lang['Config'] = "Configurare";
-$Lang['Back'] = "Indietro";
-$Lang['Reload'] = "Reload";
-$Lang['Saved'] = "Configuration saved. <i>Redirection...</i>";
-$Lang['Configuration'] = "Configurazione";
-$Lang['Folders'] = "Cartelle";
-$Lang['FolderIn'] = "Cartella input";
-$Lang['FolderOut'] = "Cartella output";
-$Lang['Options'] = "Impostazioni";
-$Lang['silentORNOT'] = "Se la cartella d'output non è vuota";
-$Lang['DIRhighORNOT'] = "Creare delle cartelle HD";
-$Lang['DIMhdORNOT'] = "Ridimensionare le immagini HD";
-$Lang['renameORNOT'] = "Rinominare i file e le cartelle";
-$Lang['indexORNOT'] = "Aggiungere dei file index.php";
-$Lang['prefixe_mini'] = "Prefisso dei thumbnail";
-$Lang['Sizes and quality'] = "Grandezze e qualità";
-$Lang['DIMhd'] = "Grandezza massima delle immagini in HD";
-$Lang['DIMnormal'] = "Grandezza massima delle immagini normali";
-$Lang['DIMthumbnail'] = "Grandezza dei thumbnail";
-$Lang['Qhd'] = "Qualità delle immagini in HD";
-$Lang['Qnormal'] = "Qualità delle immagini normali";
-$Lang['Qthumbnail'] = "Qualità dei thumbnail";
-$Lang['DPI'] = "Risoluzione delle immagini in HD";
-$Lang['Copyright'] = "Copyright";
-$Lang['Content'] = "Contenuto";
-$Lang['copyONhd'] = "In alta definizione";
-$Lang['copyONnormal'] = "Normale";
-$Lang['copyPOS%s'] = "%s Posizione";
-$Lang['copyPOSh'] = "Orizzontale ";
-$Lang['copyPOSv'] = "Verticale ";
-$Lang['copySIZE'] = "Grandezza (ratio immagine/testo)";
-$Lang['copyCOLOR'] = "Colore";
-$Lang['copyFONT'] = "Font";
-$Lang['Plugins'] = "Plug-In";
-$Lang['yes'] = "su";
-$Lang['no'] = "no";
-$Lang['top'] = "cima";
-$Lang['center'] = "centro";
-$Lang['bottom'] = "fondo";
-$Lang['left'] = "sinistra";
-$Lang['right'] = "destra";
-$Lang['erase'] = "Eliminare";
-$Lang['pass'] = "Continuare";
-$Lang['block'] = "Blocco";
-$Lang['New !'] = "Nuovo !";
-$Lang['Missing !'] = "Manca !";
-$Lang['Reset'] = "Reset";
-$Lang['Valid'] = "Validare";
-$Lang['Active'] = "Attivo";
-$Lang['Inactive'] = "Inattivo";
+$Lang['Source files'] = 'File gestiti';
+$Lang['%d files'] = '%d file';
+$Lang['Finish %d seconds'] = 'Elaborazione terminata : %d secondi';
+$Lang['Ready'] = 'Pronto per l\'avvio';
+$Lang['Processing'] = 'Elaborazione in corso';
+$Lang['Launch'] = 'Eseguire';
+$Lang['Config'] = 'Configurare';
+$Lang['Back'] = 'Indietro';
+$Lang['Reload'] = 'Ricaricare';
+$Lang['Saved'] = 'Configuration registrata. <i>Reindirizzamento...</i>';
+$Lang['Configuration'] = 'Configurazione';
+$Lang['Folders'] = 'Album';
+$Lang['FolderIn'] = 'Album input';
+$Lang['FolderOut'] = 'Album output';
+$Lang['Options'] = 'Impostazioni';
+$Lang['silentORNOT'] = 'Se l\'album d\'output non è vuoto';
+$Lang['DIRhighORNOT'] = 'Creare dell\'album HD';
+$Lang['DIMhdORNOT'] = 'Ridimensionare le foto HD';
+$Lang['renameORNOT'] = 'Rinominare le foto e gli album';
+$Lang['indexORNOT'] = 'Aggiungere i file index.php';
+$Lang['prefixe_mini'] = 'Prefisso delle miniature';
+$Lang['Sizes and quality'] = 'Dimenzioni e qualità';
+$Lang['DIMhd'] = 'Dimenzioni massime delle foto in HD';
+$Lang['DIMnormal'] = 'Dimenzioni massime delle foto normali';
+$Lang['DIMthumbnail'] = 'Dimenzioni delle miniature';
+$Lang['Qhd'] = 'Qualità delle foto in HD';
+$Lang['Qnormal'] = 'Qualità delle foto normali';
+$Lang['Qthumbnail'] = 'Qualità delle miniature';
+$Lang['DPI'] = 'Risoluzione delle foto in HD';
+$Lang['Copyright'] = 'Copyright';
+$Lang['Content'] = 'Contenuto';
+$Lang['copyONhd'] = 'Sulle foto in HD';
+$Lang['copyONnormal'] = 'Sulle foto normali';
+$Lang['copyPOS%s'] = 'Posizione %s';
+$Lang['copyPOSh'] = ' orizzontale';
+$Lang['copyPOSv'] = ' verticale';
+$Lang['copySIZE'] = 'Dimenzioni (rapporto foto/testo)';
+$Lang['copyCOLOR'] = 'Colore';
+$Lang['copyFONT'] = 'Font';
+$Lang['Plugins'] = 'Plug-In';
+$Lang['yes'] = 'si';
+$Lang['no'] = 'no';
+$Lang['top'] = 'in alto';
+$Lang['center'] = 'al centro';
+$Lang['bottom'] = 'in basso';
+$Lang['left'] = 'a sinistra';
+$Lang['right'] = 'a destra';
+$Lang['erase'] = 'Cancellare';
+$Lang['pass'] = 'Continuare';
+$Lang['block'] = 'Bloccare';
+$Lang['New !'] = 'Nuovo !';
+$Lang['Missing !'] = 'Mancante !';
+$Lang['Reset'] = 'Rinizializzare';
+$Lang['Valid'] = 'Confermare';
+$Lang['Active'] = 'Attivato';
+$Lang['Inactive'] = 'Disattivato';
 ?>