Index: /extensions/LCAS/trunk/language/en_UK/help/plugin.lang.php
===================================================================
--- /extensions/LCAS/trunk/language/en_UK/help/plugin.lang.php	(revision 10487)
+++ /extensions/LCAS/trunk/language/en_UK/help/plugin.lang.php	(revision 10488)
@@ -1,32 +1,29 @@
 <?php
-
-// to do: to translate
-
 global $lang;
 
-/*TODO*/$lang['LCAS_sensitiveTitle'] = 'Sensibilités à l\'enregistrement et l\'identification';
-/*TODO*/$lang['LCAS_sensitiveTitle_d'] = '
-Piwigo permet de rendre insensible à la casse mais ne gère pas l\'insensibilité aux accents, et ceci uniquement à l\'inscription des nouveaux utilisateurs. LCAS apporte une gestion plus approfondie des insensibilités à l\'inscription et l\'identification des utilisateurs. Les options suivantes sont proposées:<br><br>
-- Noms d\'utilisateur sensible ou non à la casse<br>
-- Noms d\'utilisateur sensible ou non aux accents<br>
-- Personnalisation du texte de l\'email de notification<br>
+$lang['LCAS_sensitiveTitle'] = 'Sensitivities to the registration and identification';
+$lang['LCAS_sensitiveTitle_d'] = '
+Piwigo can be case insensitive but does not manage the accent insensitivity, and then only to the registration of new users. LCAS provides a more thorough insensitivity to registration and identification of users. The following options are available:<br><br>
+- Usernames case sensitive or not<br>
+- Usernames accent sensitive or not<br>
+- Customizing the text of the email notification<br>
 ';
 
-/*TODO*/$lang['LCAS_caseSensitiveTitle'] = 'Les options';
-/*TODO*/$lang['LCAS_caseSensitiveTitle_d'] = 'Ces options permettent que les utilisateurs soient identifiés soit sans tenir compte de la casse (majusules et minuscules) de leur identifiant, soit sans tenir compte des accents, soit sans tenir compte d\'aucun des deux.<br>
-<b style=&quot;color: red;&quot;>NB: Le mot de passe reste sensible à tous les caractères !</b><br>
-C\'est Béatrice qui va être contente !<br>
+$lang['LCAS_caseSensitiveTitle'] = 'Options';
+$lang['LCAS_caseSensitiveTitle_d'] = 'These options allow users to be identified either ignoring the case (capitalization) of their username, or without regard to accents, or regardless of either.<br>
+<b style=&quot;color: red;&quot;>Note: The password is still sensitive to all the characters!</b><br>
+Béatrice is going to be happy!<br>
 ';
 
 
-/*TODO*/$lang['LCAS_userlistTitle'] = 'Vérification des utilisateurs';
-/*TODO*/$lang['LCAS_userlistTitle_d'] = 'Cette page affiche les utilisateurs qui doivent être modififés afin d\'activer cette option.<br><br>
-Si deux utilisateurs sont déjà enregistrés, par exemple, <em>Test</em> et <em>test</em>, et que l\'option pour l\'insensibilité à la casse est cochée, ils ne pourront plus se connecter correctement.<br>
-Vous devez modifier l\'un des deux utilisateurs et éventuellement le prévenir avec le lien pour envoyer un email.';
+$lang['LCAS_userlistTitle'] = 'User verification';
+$lang['LCAS_userlistTitle_d'] = 'This page shows the users who should be modified to enable this option.<br><br>
+If two users are already registered, for example, <em>Test</em> and <em>test</em>, and the option for case insensitivity is checked, they can no longer connect properly.<br>
+You have to change one of these users and, optionaly, prevent him by using the link to send an email.';
 
-/*TODO*/$lang['LCAS_Email_Customization'] = 'Personnalisation de la notification par email';
-/*TODO*/$lang['LCAS_Email_Customization_d'] = 'Vous pouvez personnaliser le texte à envoyer lors de la notification. Utilisez les balises [lang] pour une personnalisation multi-langues si le plugin Extended Description est actif.';
+$lang['LCAS_Email_Customization'] = 'Customizing email notification';
+$lang['LCAS_Email_Customization_d'] = 'You can customize the text to be sent with the notification. Use the tags [lang] for a custom multi-lingual if the plugin Extended Description is active.';
 
-/*TODO*/$lang['LCAS_MailTitle'] = 'Notification par email';
-/*TODO*/$lang['LCAS_MailTitle_d'] = 'Choisissez ici si un email de notification doit être envoyé automatiquement aux utilisateurs dont le login dû être modifié pour correspondre aux nouvelles règles de sensibilité.';
+$lang['LCAS_MailTitle'] = 'Email Notification';
+$lang['LCAS_MailTitle_d'] = 'Choose here if an email notification should be automatically sent to users whose login has been changed to match the new rules of sensitivity.';
 ?>
Index: /extensions/LCAS/trunk/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/LCAS/trunk/language/en_UK/plugin.lang.php	(revision 10487)
+++ /extensions/LCAS/trunk/language/en_UK/plugin.lang.php	(revision 10488)
@@ -18,6 +18,4 @@
 
 $lang['LCAS_Support_txt'] = 'The official support on this plugin is only on these Piwigo\'s forum topics:<br>
-<a href="http://fr.piwigo.org/forum/viewtopic.php?pid=158565" onclick="window.open(this.href);return false;">French forum - http://fr.piwigo.org/forum/viewtopic.php?id=ToDefine</a>
-<br>ou<br>
 <a href="http://fr.piwigo.org/forum/viewtopic.php?pid=158565" onclick="window.open(this.href);return false;">English forum - http://piwigo.org/forum/viewtopic.php?id=ToDefine</a><br><br>
 Also available, the project\'s bugtracker: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
@@ -40,5 +38,5 @@
 $lang['submit'] = 'Save settings';
 
-$lang['LCAS_Mail'] = 'Notification par email';
+$lang['LCAS_Mail'] = 'Notification by email';
 $lang['LCAS_MailText'] = 'Customizing email notification';
 
Index: /extensions/LCAS/trunk/language/fr_FR/help/plugin.lang.php
===================================================================
--- /extensions/LCAS/trunk/language/fr_FR/help/plugin.lang.php	(revision 10487)
+++ /extensions/LCAS/trunk/language/fr_FR/help/plugin.lang.php	(revision 10488)
@@ -11,11 +11,12 @@
 
 $lang['LCAS_caseSensitiveTitle'] = 'Les options';
-$lang['LCAS_caseSensitiveTitle_d'] = 'Ces options permettent que les utilisateurs soient identifiés soit sans tenir compte de la casse (majusules et minuscules) de leur identifiant, soit sans tenir compte des accents, soit sans tenir compte d\'aucun des deux.<br>
+$lang['LCAS_caseSensitiveTitle_d'] = 'Ces options permettent que les utilisateurs soient identifiés soit sans tenir compte de la casse (majuscules et minuscules) de leur identifiant, soit sans tenir compte des accents, soit sans tenir compte d\'aucun des deux.<br>
 <b style=&quot;color: red;&quot;>NB: Le mot de passe reste sensible à tous les caractères !</b><br>
 C\'est Béatrice qui va être contente !<br>
 ';
 
+
 $lang['LCAS_userlistTitle'] = 'Vérification des utilisateurs';
-$lang['LCAS_userlistTitle_d'] = 'Cette page affiche les utilisateurs qui doivent être modififés afin d\'activer cette option.<br><br>
+$lang['LCAS_userlistTitle_d'] = 'Cette page affiche les utilisateurs qui doivent être modifiés afin d\'activer cette option.<br><br>
 Si deux utilisateurs sont déjà enregistrés, par exemple, <em>Test</em> et <em>test</em>, et que l\'option pour l\'insensibilité à la casse est cochée, ils ne pourront plus se connecter correctement.<br>
 Vous devez modifier l\'un des deux utilisateurs et éventuellement le prévenir avec le lien pour envoyer un email.';
@@ -25,4 +26,4 @@
 
 $lang['LCAS_MailTitle'] = 'Notification par email';
-$lang['LCAS_MailTitle_d'] = 'Choisissez ici si un email de notification doit être envoyé automatiquement aux utilisateurs dont le login dû être modifié pour correspondre aux nouvelles règles de sensibilité.';
+$lang['LCAS_MailTitle_d'] = 'Choisissez ici si un email de notification doit être envoyé automatiquement aux utilisateurs dont le login a dû être modifié pour correspondre aux nouvelles règles de sensibilité.';
 ?>
Index: /extensions/LCAS/trunk/language/fr_FR/messages.lang.php
===================================================================
--- /extensions/LCAS/trunk/language/fr_FR/messages.lang.php	(revision 10487)
+++ /extensions/LCAS/trunk/language/fr_FR/messages.lang.php	(revision 10488)
@@ -3,18 +3,4 @@
 global $lang;
 
-// English explanation:
-// This file sets the messages that are displayed to the users:
-// error message when a user tries to create an account which already exists,
-// and tooltip messages displayed when the mouse hovers above username and
-// password fields
-
-// You can create your own message for your personal table, having index 0:
-// $lang['LCAS_error'][0] = 'Your text here';
-// Remove comment identifier ("//"), and replace the text "Your text here" by
-// the text you want. Don't forget to write the apostrophe (') with a
-// preceding "\": 'This ain\'t a good text without it!'
-
-
-// Explications françaises :
 // Ce fichier définit les messages affichés aux utilisateurs :
 // message d'erreur lors de la création d'un compte, si ce compte existe déjà,
Index: /extensions/LCAS/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/LCAS/trunk/language/fr_FR/plugin.lang.php	(revision 10487)
+++ /extensions/LCAS/trunk/language/fr_FR/plugin.lang.php	(revision 10488)
@@ -18,7 +18,5 @@
 
 $lang['LCAS_Support_txt'] = 'Le support officiel sur ce plugin se fait exclusivement sur ces fils du forum Piwigo:<br>
-<a href="http://fr.piwigo.org/forum/viewtopic.php?pid=158565" onclick="window.open(this.href);return false;">Forum français - http://fr.piwigo.org/forum/viewtopic.php?id=ToDefine</a>
-<br>ou<br>
-<a href="http://fr.piwigo.org/forum/viewtopic.php?pid=158565" onclick="window.open(this.href);return false;">Forum anglais - http://piwigo.org/forum/viewtopic.php?id=ToDefine</a><br><br>
+<a href="http://fr.piwigo.org/forum/viewtopic.php?pid=158565" onclick="window.open(this.href);return false;">Forum français - http://fr.piwigo.org/forum/viewtopic.php?id=ToDefine</a><br><br>
 Egalement disponible, le bugtracker du projet: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
 
@@ -48,5 +46,5 @@
 $lang['LCAS_EnableOption'] = ' Activer';
 
-/* Emailing */
+/* Email subject */
 $lang['Username_updated_for_%s'] = 'Nom d\'utilisateur mis à jour pour %s';
 $lang['LCAS_NewUsername: %s'] = 'Votre nouveau nom d\'utilisateur : %s';