Index: /branches/2.2/language/es_ES/common.lang.php
===================================================================
--- /branches/2.2/language/es_ES/common.lang.php	(revision 10539)
+++ /branches/2.2/language/es_ES/common.lang.php	(revision 10540)
@@ -23,7 +23,8 @@
 /*
 Language Name: Español [ES]
-Version: 2.2.1
+Version: 2.2.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=169
 Author: Piwigo team
+Revision: AM (03/04/2011)
 Author URI: http://piwigo.org
 */
@@ -38,16 +39,16 @@
 $lang['%.2f (rated %d times)'] = '%.2f (noté %d fois)';
 $lang['%d Kb'] = '%d Ko';
-$lang['%d album updated'] = '%d àlbum actualizado';
-$lang['%d albums updated'] = '%d àlbumes actualizados';
-$lang['%d comment to validate'] = '%d Comentario usuario que hay que validar';
-$lang['%d comments to validate'] = '%d comentarios de usuario que hay que validar';
-$lang['%d new comment'] = '%d Nuevo comentario usuario';
-$lang['%d new comments'] = '%d nuevos comentarios del usuario';
-$lang['%d comment'] = '%d Comentario';
-$lang['%d comments'] = '%d Comentarios';
+$lang['%d album updated'] = '%d álbum actualizado';
+$lang['%d albums updated'] = '%d álbumes actualizados';
+$lang['%d comment to validate'] = '%d Comentario pendiente de validar';
+$lang['%d comments to validate'] = '%d comentarios pendientes de validar';
+$lang['%d new comment'] = '%d nuevo comentario';
+$lang['%d new comments'] = '%d nuevos comentarios';
+$lang['%d comment'] = '%d comentario';
+$lang['%d comments'] = '%d comentarios';
 $lang['%d hit'] = '%d visitas';
 $lang['%d hits'] = '%d visitas';
-$lang['%d new photo'] = '%d nueva fotos';
-$lang['%d new photos'] = '%d nuevas fotos';
+$lang['%d new photo'] = '%d nueva fotografía';
+$lang['%d new photos'] = '%d nuevas fotografías';
 $lang['%d new user'] = '%d nuevo usuario';
 $lang['%d new users'] = '%d nuevos usuarios';
@@ -59,12 +60,12 @@
 $lang['Author'] = 'Autor';
 $lang['Average rate'] = 'Valoración promedio';
-$lang['Albums'] = 'Albums';
+$lang['Albums'] = 'Álbumes';
 $lang['Album'] = 'Álbum';
 $lang['Close this window'] = 'Cerrar la ventana';
-$lang['Complete RSS feed (photos, comments)'] = 'Flujo RSS completo (fotos, comentarios)';
+$lang['Complete RSS feed (photos, comments)'] = 'Flujo RSS completo (fotografías, comentarios)';
 $lang['Confirm Password'] = 'Confirmar la contraseña';
 $lang['Connection settings'] = 'Datos de conexión';
 $lang['Login'] = 'Identificarse';
-$lang['Contact webmaster'] = 'Contactar el webmastre';
+$lang['Contact webmaster'] = 'Contactar con el webmaster';
 $lang['Create a new account'] = 'Crear una nueva cuenta';
 $lang['Created on'] = 'Creada el';
@@ -72,21 +73,21 @@
 $lang['Current password is wrong'] = 'La contraseña actual es incorrecta';
 $lang['Dimensions'] = 'Dimensiones';
-$lang['Display'] = 'Monstrar';
+$lang['Display'] = 'Mostrar';
 $lang['Each listed rule must be satisfied.'] = 'Debe cumplimentar cada una de las reglas';
-$lang['Email address is missing. Please specify an email address.'] = 'Falta su dirección electrónica';
-$lang['Email address'] = 'Dirección electrónica';
+$lang['Email address is missing. Please specify an email address.'] = 'Por favor, cumplimente su dirección email.';
+$lang['Email address'] = 'Dirección email';
 $lang['Enter your personnal informations'] = 'Cumplimente sus datos personales';
 $lang['Error sending email'] = 'Error de envío';
 $lang['File name'] = 'Nombre del archivo';
-$lang['File'] = 'Fichero';
+$lang['File'] = 'Archivo';
 $lang['Filesize'] = 'Tamaño';
 $lang['Filter and display'] = 'Filtrar y mostrar';
-$lang['Filter'] = 'Filtro';
+$lang['Filter'] = 'Criterios de selección';
 $lang['Forgot your password?'] = '¿Olvidó su contraseña?';
 $lang['Go through the gallery as a visitor'] = 'Recorrer la galería como visitante';
 $lang['Help'] = 'Ayuda';
 $lang['Identification'] = 'Identificación';
-$lang['Photos only RSS feed'] = 'Flujo RSS sólo las fotos';
-$lang['Keyword'] = 'Palabra clave';
+$lang['Photos only RSS feed'] = 'Notificaciones RSS sólo para las fotografías';
+$lang['Keyword'] = 'Contraseña';
 $lang['Links'] = 'Enlaces';
 $lang['N/A'] = 'no disponible';
@@ -94,18 +95,18 @@
 $lang['New password confirmation does not correspond'] = 'Los valores de la contraseña no coinciden';
 $lang['New password sent by email'] = 'Nueva contraseña enviada por correo electrónico';
-$lang['No email address'] = 'Ninguna dirección electrónica';
-$lang['No classic user matches this email address'] = 'Falta cumplimentar la direccíon electrónica no corresponde a ningún usuario';
-$lang['Notification'] = 'Notificación RSS';
+$lang['No email address'] = 'Falta la dirección email';
+$lang['No classic user matches this email address'] = 'La dirección email no corresponde a ningún usuario registrado';
+$lang['Notification'] = 'Notificación';
 $lang['Number of items'] = 'Número de artículos';
 $lang['Original dimensions'] = 'Dimensiones originales';
 $lang['Password forgotten'] = 'Contraseña olvidada';
 $lang['Password'] = 'Contraseña';
-$lang['Post date'] = 'Añadido el día';
+$lang['Post date'] = 'Fecha de incorporación';
 $lang['Posted on'] = 'Añadido el';
 $lang['Profile'] = 'Perfil';
 $lang['Quick connect'] = 'Conexión rápida';
-$lang['RSS feed'] = 'flux RSS';
+$lang['RSS feed'] = 'Notificaciones RSS';
 $lang['Rate'] = 'Valoración';
-$lang['Register'] = 'Regístrarse';
+$lang['Register'] = 'Registrarse';
 $lang['Registration'] = 'Registro';
 $lang['Related tags'] = 'Etiquetas relacionadas';
@@ -118,24 +119,24 @@
 $lang['Send new password'] = 'Enviar una nueva contraseña';
 $lang['Since'] = 'Desde';
-$lang['Sort by'] = 'Clasificar según';
-$lang['Sort order'] = 'Orden de Clasificación';
+$lang['Sort by'] = 'Clasificar por';
+$lang['Sort order'] = 'Ordenar';
 $lang['Tag'] = 'Etiqueta';
 $lang['Tags'] = 'Etiquetas';
-$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'El flujo RSS notifica eventos de la galería:fotos nuevas, categorías actualizadas, nuevos comentarios de usuarios. Debe usarse con un lector de flujos RSS.';
+$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'Las notificaciones RSS informan de eventos relacionados con este sitio: nuevas fotografías, categorías actualizadas, nuevos comentarios. Debe utilizarse con un lector RSS.';
 $lang['Unknown feed identifier'] = 'Identificador de RSS desconocido';
 $lang['User comments'] = 'Comentarios del usuario';
-$lang['Username'] = 'Nombre del usuario';
+$lang['Username'] = 'Nombre de usuario';
 $lang['Visits'] = 'Visitas';
-$lang['Webmaster'] = 'Webmastre';
+$lang['Webmaster'] = 'Webmaster';
 $lang['Week %d'] = 'Semana %d';
 $lang['About Piwigo'] = 'Acerca de Piwigo';
 $lang['You are not authorized to access the requested page'] = 'No dispone de autorización para ver la página solicitada';
 $lang['add to caddie'] = 'Agregar a la cesta';
-$lang['add this photo to your favorites'] = 'agregar esta foto a sus favoritos';
+$lang['add this photo to your favorites'] = 'agregar esta fotografía a sus favoritos';
 $lang['Administration'] = 'Administración';
 $lang['all'] = 'todo';
 $lang['ascending'] = 'ascendiente';
 $lang['author(s) : %s'] = 'autor(es) : %s';
-$lang['Expand all albums'] = 'Ver todos los àlbumes';
+$lang['Expand all albums'] = 'Ver todos los álbumes';
 $lang['posted after %s (%s)'] = 'disponible con posterioridad al %s (%s)';
 $lang['posted before %s (%s)'] = 'disponible antes del %s (%s)';
@@ -143,8 +144,8 @@
 $lang['posted on %s'] = 'disponible el %s';
 $lang['Best rated'] = 'Mejor valoracion';
-$lang['display best rated photos'] = 'mostrar las fotos con mejor calificación';
+$lang['display best rated photos'] = 'mostrar las fotografías con mejor calificación';
 $lang['caddie'] = 'Carrito';
 $lang['Calendar'] = 'Calendario';
-$lang['All'] = 'Todo';
+$lang['All'] = 'Todas';
 $lang['display each day with photos, month per month'] = 'Visualizacíon año por año,  mes por mes, día por dia,';
 $lang['View'] = 'Vista';
@@ -176,16 +177,16 @@
 $lang['day'][6] = 'Sábado';
 $lang['Default'] = 'Por defecto';
-$lang['delete this photo from your favorites'] = 'Borrar esta foto de sus favoritos';
+$lang['delete this photo from your favorites'] = 'eliminar esta fotografía de sus favoritos';
 $lang['Delete'] = 'Suprimir';
 $lang['descending'] = 'descendente';
 $lang['download'] = 'descargar';
-$lang['download this file'] = 'descargar este fichero';
+$lang['download this file'] = 'descargar este archivo';
 $lang['edit'] = 'Editar';
 $lang['wrong date'] = 'Fecha errónea';
 $lang['excluded'] = 'Excluidos';
 $lang['Your favorites'] = 'Mis favoritos';
-$lang['display your favorites photos'] = 'mostrar mis fotos favoritas';
+$lang['display your favorites photos'] = 'mostrar mis fotografías favoritas';
 $lang['Favorites'] = 'Favoritas';
-$lang['First'] = 'Primera página';
+$lang['First'] = 'Primera';
 $lang['The gallery is locked for maintenance. Please, come back later.'] = 'Se están realizando operaciones de mantenimiento, regrese más tarde.';
 $lang['Page generated in'] = 'Página generada en';
@@ -193,26 +194,26 @@
 $lang['Hello'] = 'Hola';
 $lang['available for administrators only'] = 'disponible sólo para los administradores';
-$lang['display this album'] = 'muestra las fotos en el directorio raíz de este àlbum';
+$lang['display this album'] = 'muestra las fotografías en el directorio raíz de este álbum';
 $lang['display last user comments'] = 'Ver los últimos comentarios de los usuarios';
 $lang['customize the appareance of the gallery'] = 'personalizar el aspecto de la galería';
 $lang['search'] = 'Buscar';
 $lang['Home'] = 'Inicio';
-$lang['in this album'] = 'en este àlbum';
-$lang['in %d sub-album'] = 'en este %d sub-àlbum';
-$lang['in %d sub-albums'] = 'en estos %d sub-àlbumes';
+$lang['in this album'] = 'en este álbum';
+$lang['in %d sub-album'] = 'en este %d sub-álbum';
+$lang['in %d sub-albums'] = 'en estos %d sub-álbumes';
 $lang['included'] = 'incluidos';
 $lang['Invalid password!'] = 'Contraseña incorrecta !';
 $lang['Language'] = 'Idioma';
 $lang['last %d days'] = '%d últimos días';
-$lang['Last'] = 'Última página';
+$lang['Last'] = 'Última';
 $lang['Logout'] = 'Desconexión';
 $lang['E-mail address'] = $lang['Email address'];
 $lang['obligatory'] = 'obligatorio';
-$lang['Maximum photo height'] = 'Altura máxima de las fotos';
-$lang['Maximum height must be a number superior to 50'] = 'La altura de las fotos debe ser superior a 50';
-$lang['Maximum photo width'] = 'Ancho máximo de las fotos';
-$lang['Maximum width must be a number superior to 50'] = 'El ancho de las fotos debe ser superior a 50';
-$lang['display a calendar by creation date'] = 'mostrar las imágenes en un calendario, por fecha de subida';
-$lang['display all photos in all sub-albums'] = 'Ver todas las fotos de los abumes y sub-albumes';
+$lang['Maximum photo height'] = 'Altura máxima de las fotografías';
+$lang['Maximum height must be a number superior to 50'] = 'La altura de las fotografías debe ser superior a 50';
+$lang['Maximum photo width'] = 'Ancho máximo de las fotografías';
+$lang['Maximum width must be a number superior to 50'] = 'El ancho de las fotografías debe ser superior a 50';
+$lang['display a calendar by creation date'] = 'mostrar las imágenes en un calendario por fecha de subida';
+$lang['display all photos in all sub-albums'] = 'Ver todas las fotografías de los álbumes y sub-álbumes';
 $lang['return to normal view mode'] = 'Volver a la vista normal';
 $lang['display a calendar by posted date'] = 'Mostrar las imágenes en un calendario por fecha de agregación';
@@ -230,31 +231,31 @@
 $lang['month'][9] = 'Septiembre';
 $lang['Most visited'] = 'Imágenes más vistas';
-$lang['display most visited photos'] = 'mostrar las fotos más vistas';
-$lang['The number of photos per row must be a not null scalar'] = 'La cantidad de fotos por línea debe ser un número entero superior a cero';
+$lang['display most visited photos'] = 'mostrar las fotografías más vistas';
+$lang['The number of photos per row must be a not null scalar'] = 'La cantidad de fotografías por línea debe ser un número entero superior a cero';
 $lang['Number of photos per row'] = 'Número de miniaturas por línea';
 $lang['The number of rows per page must be a not null scalar'] = 'El número de líneas por página debe ser un numero entero no nulo';
-$lang['Number of rows per page'] = 'Número de líneas por pagina';
+$lang['Number of rows per page'] = 'Número de líneas por página';
 $lang['Unknown identifier'] = 'Identificador desconocido';
 $lang['New password'] = 'Nueva contraseña';
-$lang['Rate this photo'] = 'Votar esta foto';
-$lang['Next'] = 'Página siguiente';
+$lang['Rate this photo'] = 'Puntuar esta fotografía';
+$lang['Next'] = 'Siguiente';
 $lang['no rate'] = 'no valorada';
-$lang['Photos posted within the last %d day.'] = 'Sólo muestra los fotos incorporadas desde el %d día.';
+$lang['Photos posted within the last %d day.'] = 'Sólo muestra los fotografías incorporadas desde el día %d .';
 $lang['Photos posted within the last %d days.'] = 'Sólo muestra las imágenes incorporadas desde los últimos %d dias.';
 $lang['password updated'] = 'contraseña actualizada';
 $lang['Recent period must be a positive integer value'] = 'El período debe ser un número entero positivo';
-$lang['photo'] = 'Foto';
-$lang['Click on the photo to see it in high definition'] = 'Haga clic en la foto para verla en alta resolución';
-$lang['Show file metadata'] = 'Mostrar los meta-datos del fichero';
+$lang['photo'] = 'Fotografía';
+$lang['Click on the photo to see it in high definition'] = 'Haga clic en la fotografía para verla en alta resolución';
+$lang['Show file metadata'] = 'Mostrar los meta-datos del archivo';
 $lang['Powered by'] = 'Distribuido por';
 $lang['Preferences'] = 'Preferencias';
-$lang['Previous'] = 'Página anterior';
-$lang['Random photos'] = 'foto al azar';
-$lang['display a set of random photos'] = 'mostrar un conjunto aleatorio de fotos';
-$lang['Recent albums'] = 'Albums récents';
-$lang['display recently updated albums'] = 'Ver los àlbumes recien creados o actualizados';
+$lang['Previous'] = 'Anterior';
+$lang['Random photos'] = 'Fotografías al azar';
+$lang['display a set of random photos'] = 'mostrar un conjunto aleatorio de fotografías';
+$lang['Recent albums'] = 'Álbumes recientes';
+$lang['display recently updated albums'] = 'Ver los álbumes creados o actualizados recientemente';
 $lang['Recent period'] = 'Número de imágenes recientes';
-$lang['Recent photos'] = 'fotos recientes';
-$lang['display most recent photos'] = 'mostrar las fotos más recientes';
+$lang['Recent photos'] = 'Fotografías recientes';
+$lang['display most recent photos'] = 'mostrar las fotografías más recientes';
 $lang['Redirection...'] = 'Redirección...';
 $lang['Please, enter a login'] = 'Por favor, indique un nombre de usuario';
@@ -268,5 +269,5 @@
 $lang['representative'] = 'representante';
 $lang['Search for Author'] = 'Buscar por autor';
-$lang['Search in albums'] = 'Buscar en los àlbumes';
+$lang['Search in albums'] = 'Buscar en los álbumes';
 $lang['Search by Date'] = 'Buscar por fecha';
 $lang['Date'] = 'del dia';
@@ -279,16 +280,16 @@
 $lang['Search Options'] = 'Opciones de búsqueda';
 $lang['Search results'] = 'Resultados de la búsqueda';
-$lang['Search in sub-albums'] = 'Buscar en los sub-àlbumes';
+$lang['Search in sub-albums'] = 'Buscar en los sub-álbumes';
 $lang['searched words : %s'] = 'Palabras de búsqueda : %s';
-$lang['Contact'] = 'Contactar';
-$lang['set as album representative'] = 'Elegir como cabeza de este àlbum';
+$lang['Contact'] = 'Contacto:&nbsp;';
+$lang['set as album representative'] = 'Elegir como cabeza de este álbum';
 $lang['Show number of comments'] = 'Mostrar el número de comentarios';
 $lang['Show number of hits'] = 'Mostrar el número de visualizaciones';
-$lang['slideshow'] = 'Diaporama';
-$lang['stop the slideshow'] = 'Detener el diaporama';
+$lang['slideshow'] = 'Presentación';
+$lang['stop the slideshow'] = 'Detener la presentación';
 $lang['Specials'] = 'Herramientas';
 $lang['SQL queries in'] = 'búsquedas SQL en';
-$lang['display only recently posted photos'] = 'Seleccionar sólo los fotos incorporados recientemente';
-$lang['return to the display of all photos'] = 'Volver a mostrar todos los fotos';
+$lang['display only recently posted photos'] = 'Seleccionar sólo las fotografías incorporadas recientemente';
+$lang['return to the display of all photos'] = 'Volver a mostrar todas los fotografías';
 $lang['the beginning'] = 'el principio';
 $lang['Interface theme'] = 'Tema';
@@ -300,5 +301,5 @@
 $lang['wrong filename'] = 'Nombre de directorio incorrecto';
 $lang['the username must be given'] = 'Indique el nombre de usuario';
-$lang['useful when password forgotten'] = 'Útil en caso de que olvideis la contraseña';
+$lang['useful when password forgotten'] = 'Útil en caso de que olvide la contraseña';
 $lang['Quick search'] = 'Búsqueda rápida';
 $lang['Connected user: %s'] = 'Usuario conectado: %s';
@@ -312,26 +313,26 @@
 $lang['Admin: %s'] = 'Administración: %s';
 $lang['Registration of %s'] = 'Registro de %s';
-$lang['Album: %s'] = 'Album : %s';
-$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'El estatus del usuario "guest" no es conforme, se utilizará el estatus por defecto. Por favor, informe al administrador del sitio.';
+$lang['Album: %s'] = 'Álbum: %s';
+$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'El estatus del usuario "guest" no es válido, se utilizará el estatus por defecto. Por favor, informe al administrador del sitio.';
 $lang['Administrator, webmaster and special user cannot use this method'] = 'El Administrador, el administrador del sitio y el usuario especial no pueden utilizar este método';
 $lang['this email address is already in use'] = 'Otro usuario ya utiliza esta dirección e-mail';
-$lang['Album results for'] = 'Résultados de los  àlbumes por';
+$lang['Album results for'] = 'Resultado en los álbumes para';
 $lang['Tag results for'] = 'Resultados de las etiquetas para';
 $lang['from %s to %s'] = 'de %s a %s';
-$lang['Play of slideshow'] = 'Lectura del diaporama';
-$lang['Pause of slideshow'] = 'Pausa del diaporama';
-$lang['Repeat the slideshow'] = 'Repetir el diaporama';
-$lang['Not repeat the slideshow'] = 'No repetir el diaporama ';
-$lang['Reduce diaporama speed'] = 'Disminuir la velocidad del diaporama';
-$lang['Accelerate diaporama speed'] = 'Acelerar la velocidad del diaporama';
+$lang['Play of slideshow'] = 'Comenzar';
+$lang['Pause of slideshow'] = 'Pausa';
+$lang['Repeat the slideshow'] = 'Repetir';
+$lang['Not repeat the slideshow'] = 'No repetir';
+$lang['Reduce diaporama speed'] = '+ Lento';
+$lang['Accelerate diaporama speed'] = '+ Rápido';
 $lang['Submit'] = 'Validar';
 $lang['Yes'] = 'Si';
 $lang['No'] = 'No';
-$lang['%d photo'] = '%d Foto';
-$lang['%d photos'] = '%d Fotos';
-$lang['%d photo is also linked to current tags'] = '%d foto también está relacionada con los tags actuales';
-$lang['%d photos are also linked to current tags'] = '%d fotos también están relacionada con los tags actuales';
-$lang['display photos linked to this tag'] = 'Ver únicamente las fotos relacionadas a ese tag';
-$lang['photos posted during the last %d days'] = 'fotos agregadas los últimos %d días';
+$lang['%d photo'] = '%d Fotografía';
+$lang['%d photos'] = '%d Fotografías';
+$lang['%d photo is also linked to current tags'] = '%d fotografía también está vinculada con las etiquetas actuales';
+$lang['%d photos are also linked to current tags'] = '%d fotografías también están vinculadas a estas etiquetas';
+$lang['display photos linked to this tag'] = 'Ver únicamente las fotografías vinculadas con esta etiqueta';
+$lang['photos posted during the last %d days'] = 'fotografías agregadas los últimos %d días';
 $lang['Piwigo Help'] = 'Ayuda de Piwigo';
 $lang['Rank'] = 'Fila';
@@ -342,22 +343,20 @@
 $lang['Reset to default values'] = 'Restablecer los valores predeterminados';
 $lang['Sent by'] = 'Enviado por';
-$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'El cookies están bloqueados o sostenidos por su navegador Web. Usted debe acelerar el cookies para conectarse.';
-$lang['delete all photos from your favorites'] = 'borrar todas las fotos de tus favoritos';
-$lang['Are you sure?'] = '¿Seguro?';
-$lang['delete this comment'] = 'Borrar este comentario';
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Su navegador weg no soporta cookies o están deshabilitadas. Habilite las cookies para poder conectarse.';
+$lang['delete all photos from your favorites'] = 'eliminar todas las fotografías de tus favoritos';
+$lang['Are you sure?'] = '¿Está seguro?';
+$lang['delete this comment'] = 'eliminar este comentario';
 $lang['edit this comment'] = 'editar este comentario';
 $lang['Edit a comment'] = 'Editar un comentario';
 $lang['(!) This comment requires validation'] = '(!) Este comentario debe ser validado';
 $lang['Welcome'] = 'Bienvenida';
-$lang['Welcome to your Piwigo photo gallery!'] = 'Bienvenidos a su galería foto Piwigo!';
-$lang['... or browse your empty gallery'] = '... o navegue por su galería vacía';
+$lang['Welcome to your Piwigo photo gallery!'] = 'Bienvenidos a su galería fotográfica Piwigo!';
+$lang['... or browse your empty gallery'] = '... o navegue por su galería (sin contenido)';
 $lang['... or please deactivate this message, I will find my way by myself'] = '... o desactive este mensaje, yo mismo me desenredaré';
-$lang['Hello %s, your Piwigo photo gallery is empty!'] = '¡Buenos días %s, su galería foto Piwigo está vacía!';
-$lang['I want to add photos'] = 'Quiero subir fotos';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = '¡Hola %s, su galería fotográfica Piwigo está vacía!';
+$lang['I want to add photos'] = 'Quiero añadir fotografías';
 $lang['Manage this user comment: %s'] = 'Administrar este comentario: %s';
 $lang['This author modified following comment:'] = 'Este autor modificó el comentario siguiente:';
 $lang['This author removed the comment with id %d'] = 'Este autor suprimió el comentario sustentador al que él identificaba %d';
 $lang['validate this comment'] = 'Validar este comentario';
-$lang['html tags are not allowed in login'] = 'Etiquetas HTML no están permitidas en el area de conección';
-
 ?>