Index: /branches/2.2/language/es_ES/help/photos_add_ftp.html
===================================================================
--- /branches/2.2/language/es_ES/help/photos_add_ftp.html	(revision 10547)
+++ /branches/2.2/language/es_ES/help/photos_add_ftp.html	(revision 10548)
@@ -1,22 +1,22 @@
 <fieldset>
-  <legend>Comienzo rápido</legend>
+  <legend>Guía rápida</legend>
 
 <ol>
-  <li>Cree un repertorio en su ordenador.</li>
+  <li>Cree una carpeta en su ordenador.</li>
 
-  <li>Copie las fotos dentro de este repertorio, luego redimensione para una visualización en la web. <em>Atención</em> : El nombre de los repertorios y de los ficheros debe contener sólo letras, cifras y los carácteres  "-", "_" y ".". Ningún espacio o carácteres acentuados.</li>
+  <li>Copie las fotografías a la carpeta y redimensiónelas para su visualización en la web. <em>Atención</em>: el nombre de las carpetas y de los archivos puede contener sólo letras, cifras y los caracteres  "-", "_" y ".". Debe omitir espacios y caracteres acentuados.</li>
 
-  <li>Con un cliente FTP, copie el repertorio en el repertorio " galleries " de su instalación de Piwigo.</li>
+  <li>Copie el contenido de la carpeta mediante un cliente FTP al directorio "galleries" de su instalación remota de Piwigo.</li>
 
-  <li>Conecte usted a su instalación de Piwigo y vaya a<span class="pwgScreen">Administración &raquo; Imágenes &raquo; Miniaturas</span> para crear las miniaturas que faltan.</li>
+  <li>Acceda a su instalación de Piwigo y vaya a<span class="pwgScreen">Administración &raquo; Imágenes &raquo; Miniaturas</span> para crear las miniaturas que faltan.</li>
 
   <li>Vaya a <span class="pwgScreen">Administración</span> y haga clic en el botón de sincronización.</li>
 </ol>
 
-<p>¡ Bravo! Usted creó con éxito la primera categoría de su galería.</p>
+<p>¡Enhorabuena! Ha creado el primer álbum de la galería.</p>
 
 </fieldset>
 <fieldset>
-  <legend>Organización de los repertorios y de los ficheros</legend>
+  <legend>Organización de directorios y archivos</legend>
 
 <ul>
@@ -24,5 +24,5 @@
   <li>
 
-    <p>Los repertorios que representan las categorías están en el repertorio " galleries ". Más abajo el árbol de los repertorios de una galería muy pequeña (pero utilizando numerosos carácteres funcionales): </p>
+    <p>Los directorios en que se soportan los álbumes están en el directorio "galleries". A continuación se muestra a modo de ejemplo la arborescencia de una galería de pequeñas dimensiones (pero que proporciona ya una gran funcionalidad): </p>
   
 <pre>
@@ -31,8 +31,8 @@
 |-- doc
 |-- galleries
-|   |-- categoría-1
-|   |   |-- categoría-1.1
+|   |-- album-1
+|   |   |-- album-1.1
 |   |   |   |-- categoría-1.1.1
-|   |   |   |   |-- categoría-1.1.1.1
+|   |   |   |   |-- album-1.1.1.1
 |   |   |   |   |   |-- pwg_high
 |   |   |   |   |   |   +-- mariage.jpg
@@ -40,11 +40,11 @@
 |   |   |   |   |   |   +-- TN-mariage.jpg
 |   |   |   |   |   +-- mariage.jpg
-|   |   |   |   +-- categoría-1.1.1.2
-|   |   |   +-- categoría-1.1.2
-|   |   |-- categoría-1.2
+|   |   |   |   +-- album-1.1.1.2
+|   |   |   +-- album-1.1.2
+|   |   |-- album-1.2
 |   |   |   |-- pookie.jpg
 |   |   |   +-- thumbnail
 |   |   |       +-- TN-pookie.jpg
-|   |   +-- categoría-1.3
+|   |   +-- album-1.3
 |   +-- categoría-2
 |       |-- porcinet.gif
@@ -62,25 +62,25 @@
   </li>
   
-  <li>Fundamentalmente, una categoría es representada por un repertorio a cualquier nivel bajo el repertorio " galleries " de su instalación de Piwigo. Cada categoría puede contener tantos subniveles como deseado. En el ejemplo más arriba, categoría-1.1.1.1 está en un nivel 4 de profundidad.</li>
+  <li>El contenido de un álbum se encuentra en un directorio de cualquier nivel ubicado en el directorio "galleries". Cada álbum puede contener tantos subniveles como se desee. En el ejemplo anterior, album-1.1.1.1 está en un nivel de profundidad 4.</li>
 
-  <li>Fundamentalmente, un elemento es representado por un fichero. Un fichero puede ser un elemento para Piwigo si la extensión del nombre del fichero está entre la lista del parámetro de configuración <code>file_ext</code> (Ver 
-  fichero <span class="filename">include/config.inc.php</span>). Un fichero puede ser una imagen si su extensión está entre el parámetro de configuración
+  <li>Cada elemento indica un archivo. Un archivo constituye un elemento en Piwigo si su extensión figura en la lista definida por el parámetro de configuración <code>file_ext</code> (Ver 
+  archivo <span class="filename">include/config.inc.php</span>). Un archivo puede ser una imagen si su extensión figura en la lista definida por el parámetro de configuración
 <code>picture_ext</code>.</li>
 
-  <li>Los elementos de tipo llena de imágenes deben tener una miniatura asociada (ver la sección siguiente a propósito de las miniaturas).</li>
+  <li>Los elementos de tipo imagen deben tener una miniatura asociada (ver la sección siguiente a propósito de las miniaturas).</li>
 
-  <li>Los elementos de tipo imágenes pueden tener unas imágenes de gran tamaño asociado. Así como para el fichero <span class="filename">mariage.jpg</span>
-En el ejemplo más arriba. Ningún prefijo es necesario sobre el nombre del fichero.</li>
+  <li>Los elementos de tipo imagen pueden tener asociada una imagen de mayor tamaño, tal como sucede con el archivo <span class="filename">mariage.jpg</span>
+en el ejemplo de más arriba. El nombre de archivo no requiere prefijo alguno.</li>
 
-  <li>Los elementos no imagen (vídeos, sonidos, archivos de texto, todo lo que usted quiere) por defecto son representado por icono que corresponde a la extensión del nombre del fichero. Optionalmente, una miniatura y un representante pueden ser asociados (ver el fichero <span
+  <li>Por defecto, los elementos no imagen (vídeos, sonidos, archivos de texto, todo lo que usted desee incluir) se representan mediante un icono que se corresponde con la extensión del nombre del archivo. Opcionalmente, es posible asociarles una miniatura y una imagen de portada (ver el archivo <span
 class="filename">video.avi</span> en el ejemplo).</li>
 
-  <li><em>Atención</em> : El nombre de un repertorio o de un fichero debe ser constuitido sólo por letras, cifras, de "-", "_" o ".". Ningún espacio o carácteres acentuados.</li>
+  <li><em>Atención</em>: El nombre de un directorio o de un archivo puede contener sólo letras, cifras y los caracteres  "-", "_" y ".". Debe omitir espacios y caracteres acentuados.</li>
 
-  <li><em>Consejo</em> : Una categoría puede contener elementos y subcategorías a la vez. Sin embargo, es fuertemente aconsejado para cada categoría escoger entre: contener elementos <strong>o bien</strong>
-Subcategorías.</li>
+  <li><em>Consejo</em>: un álbum puede contener elementos y sub-álbumes a la vez. Sin embargo, se aconseja discriminar el tipo de contenido de cada álbum, elementos <strong>o</strong>
+sub-álbumes.</li>
 
-  <li>En cuanto los ficheros, las miniaturas y los representantes están correctamente colocados en los repertorios, ir a <span
-class="pwgScreen">Administración &raquo; Categorías &raquo; Sincronizar</span>.</li>
+  <li>Una vez archivos, miniaturas e imágenes en portada se encuentran correctamente ubicados en los directorios, ir a <span
+class="pwgScreen">Administración &raquo; Álbumes &raquo; Sincronizar</span>.</li>
 
 </ul>
@@ -92,16 +92,14 @@
 <ul>
   
-  <li>Así como mencionado anteriormente, cada elemento de tipo imágenes debe ser asociado con una miniatura.</li>
+  <li>Como se ha mencionado anteriormente, cada elemento de tipo imagen debe estar asociado a una miniatura.</li>
 
-  <li>Las miniaturas son almacenadas en el subdirectorio " thumbnail " de cada repertorio que representa una categoría. Una miniatura es un fichero de tipo  imágenes (la misma extensión del nombre del fichero) cuyo nombre de fichero es prefijado por el parámetro de configuración <code>prefix_thumbnail</code>
+  <li>Las miniaturas se almacenan en el subdirectorio "thumbnail", en cada uno de los directorios que contienen un álbum. Una miniatura es un archivo de tipo imagen (con la misma extensión del nombre del archivo), cuyo nombre es prefijado por el parámetro de configuración <code>prefix_thumbnail</code>
 (ver <span class="filename">include/config.inc.php</span>).</li>
 
-  <li>Las miniaturas no necesitan tener la misma extensión que las imágenes asociada (una imagen con ".jpg" como extensión puede tener una miniatura .GIF " por ejemplo).</li>
+  <li>Las miniaturas no necesitan tener la misma extensión que la imagen asociada (una imagen con extensión ".jpg" puede tener una miniatura ".gif", por ejemplo).</li>
 
-  <li>Es aconsejado utilizar un programa externo para la creación de las miniaturas</li>
+  <li>Se aconseja utilizar un programa externo para la creación de las miniaturas; también puede utilizar el programa integrado de creación de miniaturas, pero la calidad dista de ser óptima y ocupa recursos del servidor (lo que podría consitituir un problema en caso de hosting compartido).</li>
 
-  <li>Usted también puede utilizar el programa de creación de miniatura integrado a Piwigo pero esto es desaconsejado porque la calidad corre peligro de ser decepcionante y esto utiliza inútilmente los recursos del servidor (lo que puede ser un problema grave sobre un servidor mutualisado).</li>
-
-  <li>Si usted escoge utilizar al servidor web para generar las miniaturas, usted debe dar los derechos en escritura a los repertorios.</li>
+  <li>Si escoge utilizar al servidor web para generar las miniaturas, debe establecer permisos de escritura a los directorios.</li>
 
 </ul>