Index: /extensions/Autosize/autosize.inc.php
===================================================================
--- /extensions/Autosize/autosize.inc.php	(revision 10560)
+++ /extensions/Autosize/autosize.inc.php	(revision 10561)
@@ -71,4 +71,5 @@
         'AUTOSIZE_PATH' => str_replace("../","",AUTOSIZE_PATH)  ,
         'AUTOSIZE_PATH_ABS' => AUTOSIZE_PATH_ABS,
+        'Version_pwg' => PHPWG_VERSION
          )
     );
Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 10560)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 10561)
@@ -1,19 +1,2 @@
-
-if (typeof (randomPictOpt) == "undefined") {
-  var randomPictOpt = {
-    fixedHeight: 100,
-    delay: 10050,
-    showName: "n",
-    showComment: "n",
-    pictures: [
-          {
-            'comment': '',
-            'link': "",
-            'name': '',
-            'thumb': ""
-          }          
-                ]
-  };
-}
 
 
@@ -643,6 +626,10 @@
 
            img_reelle.width = parseInt(img_reelle.width);
-
-           if (img_reelle.width < mini_width) return true;
+           jQuery(Cadre).width(mini_width);
+           if (img_reelle.width < mini_width) {
+             jQuery(Cadre).width(mini_width);
+             return true;
+
+           }
 
            img_reelle.height = parseInt(img_reelle.height);
@@ -902,5 +889,5 @@
            }
            //=== cadre = theImage
-           jQuery(Cadre).css({ marginLeft: "auto"});
+           jQuery(Cadre).css({ marginLeft: "auto" });
            // jQuery(Cadre).width(Zone_Affichage.width);
            jQuery(Cadre).css("width", "auto");
@@ -1067,5 +1054,6 @@
 
                }
-
+               //jQuery("#gbo").width();
+               jQuery(Cadre).width(img_finale.width + marges_llgbo);
 
                if (!theme.match(RegExp("lapis", "gi"))) {
Index: /extensions/Autosize/js/conflit.js
===================================================================
--- /extensions/Autosize/js/conflit.js	(revision 10560)
+++ /extensions/Autosize/js/conflit.js	(revision 10561)
@@ -67,4 +67,5 @@
 var Fn;
 function conflit(element, nc) {
+  if(typeof DEBUG != "boolean") DEBUG = false ;
     //--- cl_conflit 
     if (typeof MooTools == "undefined" && typeof Prototype == "undefined") {
@@ -164,22 +165,24 @@
 jQuery(document).ready(
     function (jQuery) {
-        jQuery(window).load(function () {
-            //============================================================
-            jQuery("#icon_gmaps").bind('click', function () {
-
-                jQuery('html,body').stop().scrollTop(0);
-                jQuery('html,body').stop().scrollLeft(0);
-                jQuery(".ui-widget-overlay").css("opacity", "0.75");
-
-                l1 = (jQuery(window).width() - (jQuery(".gmapsPopup").width())) / 2;
-                h1 = (jQuery(window).height() - (jQuery(".gmapsPopup").height())) / 2;
-
-                jQuery(".gmapsPopup").css("left", l1 + "px");
-                jQuery(".gmapsPopup").css("top", h1 + "px");
-            })
-            //=============================================================  
-            //   jQuery(window).resize();
-        });
-        //  $ = _$2; ;
+      jQuery(window).load(function () {
+        //============================================================
+        jQuery("#icon_gmaps").bind('click', function () {
+          //jQuery("#iGMapsIconContent").dialog("open");
+          if (Version_pwg > '2.2.0' )
+          return;
+          jQuery('html,body').stop().scrollTop(0);
+          jQuery('html,body').stop().scrollLeft(0);
+          jQuery(".ui-widget-overlay").css("opacity", "0.75");
+
+          l1 = (jQuery(window).width() - (jQuery(".gmapsPopup").width())) / 2;
+          h1 = (jQuery(window).height() - (jQuery(".gmapsPopup").height())) / 2;
+
+          jQuery(".gmapsPopup").css("left", l1 + "px");
+          jQuery(".gmapsPopup").css("top", h1 + "px");
+        })
+        //=============================================================  
+        //   jQuery(window).resize();
+      });
+      //  $ = _$2; ;
     });
 //=========================================================
@@ -453,6 +456,6 @@
     state = states.join('\n');
     if (state == "") {
-
-        if (DEBUG == "true") {
+      
+        if ( DEBUG == "true") {
             Fn = all_functions.join('\n');
             try {
Index: /extensions/Autosize/template/conflit.tpl
===================================================================
--- /extensions/Autosize/template/conflit.tpl	(revision 10560)
+++ /extensions/Autosize/template/conflit.tpl	(revision 10561)
@@ -5,4 +5,5 @@
     var cl_version = '{$cl_version}';
     var cl_plugin = '{$name}';
+    var Version_pwg='{$Version_pwg}';
 {if $DEBUG == "true"}
     var cl_query = '{$autosize_parametres->query}';