Index: /extensions/AddInfousers/language/hu_HU/description.txt
===================================================================
--- /extensions/AddInfousers/language/hu_HU/description.txt	(revision 10608)
+++ /extensions/AddInfousers/language/hu_HU/description.txt	(revision 10608)
@@ -0,0 +1,1 @@
+További 7 adat hozzáadása a felhasználói profilhoz
Index: /extensions/AddInfousers/language/hu_HU/index.php
===================================================================
--- /extensions/AddInfousers/language/hu_HU/index.php	(revision 10608)
+++ /extensions/AddInfousers/language/hu_HU/index.php	(revision 10608)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/AddInfousers/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/AddInfousers/language/hu_HU/plugin.lang.php	(revision 10608)
+++ /extensions/AddInfousers/language/hu_HU/plugin.lang.php	(revision 10608)
@@ -0,0 +1,42 @@
+<?php
+//ADMIN
+$lang['addinfousers_h2'] = 'Felhasználók kiegészítő adatainak kezelése';
+
+$lang['addinfousers_complete'] = 'További adatok';
+
+//onglet explication
+$lang['addinfousers_explication'] = 'Ismertető';
+$lang['addinfousers_explication_help'] = 'A bővítmény lehetővé teszi további 7 adat hozzáadását a felhasználói profilhoz';
+$lang['addinfousers_explication_update_non'] = 'Helyettesíthetők: Név, Keresztnév,...,Honlap, Megjegyzés';
+$lang['addinfousers_explication_update_non_help'] = 'Helyettesítéshez az alábbi sorokat kell hozzáadni a nyelvi fájlhoz:<br>
+$lang[\'addinfousers_info1\'] = \'Első használni kívánt adat neve\'; <br>
+$lang[\'addinfousers_info2\'] = \'Második használni kívánt adat neve\'; <br>
+$lang[\'addinfousers_info3\'] = \'Harmadik használni kívánt adat neve\'; <br>
+$lang[\'addinfousers_info4\'] = \'Negyedik használni kívánt adat neve\'; <br>
+$lang[\'addinfousers_info5\'] = \'Ötödik használni kívánt adat neve\'; <br>
+$lang[\'addinfousers_info6\'] = \'Hatodik használni kívánt adat neve\'; <br>
+$lang[\'addinfousers_info7\'] = \'Hetedik használni kívánt adat neve\'; <br>
+';
+
+$lang['addinfousers_explication_cache_info'] = 'Nem használt adatok elrejtése';
+$lang['addinfousers_explication_cache_info_help'] = 'Az adatok elrejthetők az alábbi sorok helyi CSS fájlhoz történő hozzáadásával:<br>
+hide info 1 : #addinfouser_1 {display:none} <br>
+hide info 2 : #addinfouser_2 {display:none} <br>
+hide info 3 : #addinfouser_3 {display:none} <br>
+hide info 4 : #addinfouser_4 {display:none} <br>
+hide info 5 : #addinfouser_5 {display:none} <br>
+hide info 6 : #addinfouser_6 {display:none} <br>
+hide info 7 : #addinfouser_7 {display:none} <br>
+';
+
+//onglet addinfo et admin info
+$lang['addinfousers_info1'] = 'Név';
+$lang['addinfousers_info2'] = 'Keresztnév';
+$lang['addinfousers_info3'] = 'Cím';
+$lang['addinfousers_info4'] = 'Ország';
+$lang['addinfousers_info5'] = 'E-mail cím';
+$lang['addinfousers_info6'] = 'Honlap';
+$lang['addinfousers_info7'] = 'Megjegyzés';
+
+
+?>