Index: extensions/netinstall/trunk/language/it_IT/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/it_IT/loader.lang.txt	(revision 9780)
+++ extensions/netinstall/trunk/language/it_IT/loader.lang.txt	(revision 10621)
@@ -25,39 +25,39 @@
 $lang['Language'] = 'Lingua';
 $lang['This tool is meant to retrieve the latest Piwigo archive and unzip it in your webspace.'] = 'Questo TOOL permette di recuperare l\'ultima versione di Piwigo e di dezipparla sul proprio spazio web.';
-$lang['Right after then, you will be redirect to the Piwigo Setup Wizard.'] = 'Verrete reindirizzati verso la pagina d\'installazione di Piwigo.';
+$lang['Right after then, you will be redirect to the Piwigo Setup Wizard.'] = 'Verrete reindirizzati verso la pagina d\'installazione di Piwigo';
 
 $lang['Write access is needed'] = 'Sono necessari dei diritti in scrittura';
-$lang['It looks like NetInstall wont be able to write in the current directory, and this is required to follow on.'] = 'Sembrerebbe che NetInstall non abbia i diritti in scrittura sulla directory corrente: ciò è necessario';
-$lang['Please try to change the permissions to allow write access, then reload this page by hitting the Refresh button.'] = 'Provate a cambiare i permessi per consentire l\'accesso in scrittura, poi ricaricare la pagina con il bottone "Refresh".';
+$lang['It looks like NetInstall wont be able to write in the current directory, and this is required to follow on.'] = 'Sembrerebbe che NetInstall non abbia i diritti in scrittura sulla directory corrente : ciò è necessario';
+$lang['Please try to change the permissions to allow write access, then reload this page by hitting the Refresh button.'] = 'Provate a cambiare i permessi per consentire l\'accesso in scrittura, poi ricaricate la pagina con il bottone "Refresh"';
 $lang['Refresh'] = 'Refresh';
 
 $lang['PHP 5 is required'] = 'È necessario PHP 5';
-$lang['It appears your webhost is currently running PHP %s.'] = 'Sembrerebbe che la versione del vostro server è PHP %s.';
-$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall cerchrà di passare in PHP 5 creando o modificando il file .htaccess.';
-$lang['Note you can change your configuration by yourself and restart NetInstall after that.'] = 'Notate che potete cambiare manualmente la configurazione e rilanciare NetInstall.';
+$lang['It appears your webhost is currently running PHP %s.'] = 'Sembrerebbe che la versione del vostro server è PHP %s';
+$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall cerchrà di passare in PHP 5 creando o modificando il file .htaccess';
+$lang['Note you can change your configuration by yourself and restart NetInstall after that.'] = 'Notate che potete cambiare manualmente la configurazione e rilanciare NetInstall';
 $lang['Try to configure PHP 5'] = 'Provate a configuratre PHP 5';
 
 $lang['Retrieve and unzip Piwigo'] = 'Uplodare e dezippare Piwigo';
-$lang['Destination:'] = 'Disinstallazione:';
+$lang['Destination:'] = 'Disinstallazione :';
 
 $lang['Sorry!'] = 'Spiacente!';
-$lang['NetInstall was not able to configure PHP 5.'] = 'NetInstall non a potuto configurare PHP 5.';
-$lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = 'Dovete contattare il votro provider per chiedere come configurare PHP 5.';
+$lang['NetInstall was not able to configure PHP 5.'] = 'NetInstall non a potuto configurare PHP 5';
+$lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = 'Dovete contattare il votro provider per chiedere come configurare PHP 5';
 $lang['Hope to see you back soon.'] = 'Sperando di rivedervi prossimamente ...';
 
-$lang['It seems like a previous Piwigo installation is still sitting in that space.'] = 'Sembra che esisti un\'installazione anteriore di Piwigo.';
+$lang['It seems like a previous Piwigo installation is still sitting in that space.'] = 'Sembra che esisti un\'installazione anteriore di Piwigo';
 $lang['You need to rename or remove it before we can go further...'] = 'Dovete rinomarla o cancellarla prima di continuare...';
-$lang['Needed files are not present.'] = 'Mancano i file necessari.';
-$lang['Invalid zip file.'] = 'file zip non valido.';
-$lang['It seems that the zip file was not extracted.'] = 'I file non sono stati estratti correttamente.';
+$lang['Needed files are not present.'] = 'Mancano i file necessari';
+$lang['Invalid zip file.'] = 'file zip non valido';
+$lang['It seems that the zip file was not extracted.'] = 'I file non sono stati estratti correttamente';
 
 $lang['Congratulations!'] = 'Congratulazione!';
-$lang['Everything went fine. You are now ready to start the installation procedure.'] = 'Si è tutto svolto correttamente. Siete pronti a lanciare la procedura d\'installazione.';
+$lang['Everything went fine. You are now ready to start the installation procedure.'] = 'Tutto si è svolto correttamente. Siete pronti a lanciare la procedura d\'installazione';
 $lang['Install Piwigo now'] = 'Installare Piwigo ora';
-$lang['An error occurred while grabbing the necessary files to go on.'] = 'Errore durante l\'upload dei file.';
+$lang['An error occurred while grabbing the necessary files to go on.'] = 'Errore durante l\'upload dei file';
 $lang['Something went wrong...'] = 'Qualcosa è andato male ...';
-$lang['What are you doing here that way ?!'] = 'Cosa fate qui ?!';
+$lang['What are you doing here that way ?!'] = 'Cosa fate qui?!';
 
 $lang['This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!'] = 'Questo installatore automatico è stato inizialmente creato per <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Grazie!';
 
-$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Avete bisogno di aiuto? Visitate il <a href=\"%s\">forum di Piwigo</a>.';
+$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Avete bisogno di aiuto? Visitate il <a href=\"%s\">forum di Piwigo</a>';